(global-font-lock-mode 1)
(show-paren-mode)

(setq inferior-lisp-program "/usr/bin/sbcl")
(if (fboundp 'slime-setup) (slime-setup))

(setq user-full-name "Gabriel Ebner"
      user-mail-address "gebner@gebner.org")

(autoload 'run-haskell "inf-haskell"
  "Start an inferior haskell buffer." t)
(setq haskell-program-name "ghci")

(setq py-indent-offset 2)

(defun perltidy ()
  "Run perltidy on current buffer."
  (interactive)

  (mark-whole-buffer)
  (shell-command-on-region
   (region-beginning)
   (region-end)
   "perltidy -q"
   0 0 nil))

(defun ebuild-mode ()
  "Mode for ebuilds and eclasses."
  (interactive)

  (shell-script-mode)
  (sh-set-shell "bash")
  (make-local-variable 'tab-width)
  (setq tab-width 4))

(setq auto-mode-alist
 (cons '("\\.ebuild\\'" . ebuild-mode)
       (cons '("\\.eclass\\'" . ebuild-mode)
	     auto-mode-alist)))

(eval-after-load "notmuch" '(load "~/etc/notmuch-config.el"))
